package com.brilliance.isc.common.aop;

import org.aspectj.lang.ProceedingJoinPoint;

public interface IBaseAspect {
    void pointcut();

    default Object around(ProceedingJoinPoint joinPoint) {return null;
    }

    default void before() {
    }

    default void after() {
    }

    default void afterReturning() {
    }

    default void afterThrowing() {
    }

}
